]> Cypherpunks repositories - gostls13.git/commitdiff
undo CL 5754063 / e23b66fcfc94
authorRuss Cox <rsc@golang.org>
Wed, 7 Mar 2012 15:15:20 +0000 (10:15 -0500)
committerRuss Cox <rsc@golang.org>
Wed, 7 Mar 2012 15:15:20 +0000 (10:15 -0500)
Does not actually test so files.

««« original CL description
misc/cgo: re-enable testso

Also enabled it for darwin.

R=rsc
CC=golang-dev
https://golang.org/cl/5754063

»»»

R=golang-dev, minux.ma, r, f
CC=golang-dev
https://golang.org/cl/5756075

misc/cgo/testso/Makefile [new file with mode: 0644]
misc/cgo/testso/cgoso_test.go [deleted file]
misc/cgo/testso/main.go [new file with mode: 0644]
misc/cgo/testso/test.bash [new file with mode: 0755]
src/run.bash

diff --git a/misc/cgo/testso/Makefile b/misc/cgo/testso/Makefile
new file mode 100644 (file)
index 0000000..e472cf2
--- /dev/null
@@ -0,0 +1,22 @@
+# Copyright 2011 The Go Authors.  All rights reserved.
+# Use of this source code is governed by a BSD-style
+# license that can be found in the LICENSE file.
+
+include ../../../src/Make.inc
+
+TARG=cgosotest
+
+CGO_DEPS+=libcgoso.so
+CGO_LDFLAGS+=-lcgoso -L.
+CLEANFILES+=out libcgoso.so
+CGOFILES=\
+       cgoso.go\
+
+include ../../../src/Make.pkg
+
+libcgoso.so: cgoso_c.c
+       gcc cgoso_c.c -fPIC -o $@ $(_CGO_CFLAGS_$(GOARCH)) $(_CGO_LDFLAGS_$(GOOS))
+
+out: install main.go
+       $(GC) $(GCFLAGS) $(GCIMPORTS) main.go
+       $(LD) -o $@ main.$O
diff --git a/misc/cgo/testso/cgoso_test.go b/misc/cgo/testso/cgoso_test.go
deleted file mode 100644 (file)
index 6eddb90..0000000
+++ /dev/null
@@ -1,7 +0,0 @@
-package cgosotest
-
-import (
-       "testing"
-)
-
-func TestCgoSo(t *testing.T) { Test() }
diff --git a/misc/cgo/testso/main.go b/misc/cgo/testso/main.go
new file mode 100644 (file)
index 0000000..672ab26
--- /dev/null
@@ -0,0 +1,11 @@
+// Copyright 2011 The Go Authors. All rights reserved.
+// Use of this source code is governed by a BSD-style
+// license that can be found in the LICENSE file.
+
+package main
+
+import "cgosotest"
+
+func main() {
+       cgosotest.Test()
+}
diff --git a/misc/cgo/testso/test.bash b/misc/cgo/testso/test.bash
new file mode 100755 (executable)
index 0000000..f275eb5
--- /dev/null
@@ -0,0 +1,9 @@
+#!/bin/sh
+# Copyright 2011 The Go Authors.  All rights reserved.
+# Use of this source code is governed by a BSD-style
+# license that can be found in the LICENSE file.
+
+set -e
+gomake out
+LD_LIBRARY_PATH=. ./out
+gomake clean
index c6f02e303abaa1863bc3b32c01b324be4c3b8356..b5ffaa9974d9b2584cc8702c2e0d4c76688b1309 100755 (executable)
@@ -57,10 +57,13 @@ BROKEN=true
 go test
 ) || exit $?
 
+$BROKEN ||
 [ "$CGO_ENABLED" != 1 ] ||
 [ "$GOHOSTOS" == windows ] ||
+[ "$GOHOSTOS" == darwin ] ||
 (xcd ../misc/cgo/testso
-go test
+"$GOMAKE" clean
+./test.bash
 ) || exit $?
 
 (xcd ../doc/progs